Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Math/Points3D.h File Reference

Definition of class Points3D. More...

`#include "Tools/Streams/InOut.h"`
`#include "Tools/RingBuffer.h"`
`#include "Vector3.h"`

Include dependency graph for Points3D.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Points3D
| A ring buffer for 3 dimensional points relative to the robot that can be moved in x,y by odometry. More...
## Functions
In & | operator>> (In &stream, Points3D &points3D)
| Streaming operator that reads a Points3D from a stream.
Out & | operator<< (Out &stream, const Points3D &points3D)
| Streaming operator that writes a Points3D to a stream.
## Variables
const int | maxNumberOf3DPoints = 20
| The maximum number of points that can be stored.

## Detailed Description

Definition of class Points3D.

Author:
  Martin Lötzsch

Definition in file Points3D.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | Points3D & | points3D
| ) |

  | Streaming operator that reads a Points3D from a stream. Parameters:
  stream | The stream from which is read.
  points3D | The Points3D object.
Returns: The stream. Definition at line 19 of file Points3D.cpp. References RingBuffer< Vector3< double >, maxNumberOf3DPoints >::add(), RingBuffer< Vector3< double >, maxNumberOf3DPoints >::init(), Vector3< V >::x, Vector3< V >::y, and Vector3< V >::z.

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const Points3D & | points3D
| ) |

  | Streaming operator that writes a Points3D to a stream. Parameters:
  stream | The stream to write on.
  points3D | The Points3D object.
Returns: The stream. Definition at line 34 of file Points3D.cpp. References RingBuffer< Vector3< double >, maxNumberOf3DPoints >::getNumberOfEntries().

Here is the call graph for this function:

## Variable Documentation

const int maxNumberOf3DPoints = 20

| The maximum number of points that can be stored. Definition at line 17 of file Points3D.h.